local chartboost = require( "plugin.chartboost" )
-- Chartboost listener function
local function adListener( event )
 
    if ( event.phase == "init" ) then  -- Successful initialization
        chartboost.load( "interstitial" )
 
    elseif ( event.phase == "loaded" ) then
        if ( event.type == "interstitial" ) then
            chartboost.show( "interstitial" )
        end
    end
end
 
-- Initialize the Chartboost plugin
chartboost.init( adListener, {hasUserConsent = true, appId="5b4c0151a9a7760c2fe76a2c", appSig="8a1e0a83d42dd1ec1a7e96476aecb8630a91e334" } )


local widget = require( "widget" )
 
-- Function to handle button events
local function handleButtonEvent( event )
 
    if ( "ended" == event.phase ) then
	chartboost.show( "interstitial" )
        print( "Button was pressed and released" )
    end
end
 
-- Create the widget
local button1 = widget.newButton(
    {
        left = 100,
        top = 200,
        id = "button1",
        label = "Show ads",
        onEvent = handleButtonEvent
    }
)